Module | Amalgalite::Version
In: | lib/amalgalite/version.rb lib/amalgalite/version.rb

Version information for Amagalite

### Methods

to_a to_a to_hash to_hash to_s to_s

### Constants

MAJOR | = | 1
MINOR | = | 1
BUILD | = | 2
STRING | = | Version.to_s.freeze |  | Version string constant
MAJOR | = | 1
MINOR | = | 1
BUILD | = | 2
STRING | = | Version.to_s.freeze |  | Version string constant

### Public Class methods

to_a()

return the Version as an array of MAJOR, MINOR, BUILD

to_a()

return the Version as an array of MAJOR, MINOR, BUILD

to_hash()

return the Vesion as a hash

to_hash()

return the Vesion as a hash

to_s()

return the Version as a dotted String MAJOR.MINOR.BUILD

to_s()

return the Version as a dotted String MAJOR.MINOR.BUILD

[Validate]